      *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)                                                      
      *_> DLTMOD MODULE(@5/@4)                                                                      
      *_> CRTRPGMOD MODULE(@5/@4) SRCFILE(@2/@1) SRCMBR(@3) +                                       
      *_>   DBGVIEW(@9) OPTIMIZE(@8)                                                                
      *=============================================================================================
      * By.........: Alan Campin                                                                    
      * Date.......: 05/02/2006                                                                     
      * Module.....: XV0008_M02                                                                     
      * Description: Get and Update job number for last compile of a given                          
      *                source member in a given file.                                               
      *---------------------------------------------------------------------------------------------
      * Program Modification Section:                                                               
      *------------------------------                                                               
      * By.........:                                                                                
      * Date.......:                                                                                
      * Description:                                                                                
      *                                                                                             
      *---------------------------------------------------------------------------------------------
     h NoMain                                                                                       
                                                                                                    
     fXVLCTF    uf a e           k Disk    UsrOpn                                                   
                                                                                                    
      /copy *libl/qsrcf,cb_stdtype                                                                  
                                                                                                    
      /copy *libl/qsrcf,cb_std_con                                                                  
                                                                                                    
     d GetUpdateLastCompileInfo...                                                                  
     d                 pr                  ExtProc(                                                 
     d                                       'GetUpdateLastCompileInfo')                            
     d  PR_InSourceFileName...                                                                      
     d                                     Like(StdNam)                                             
     d  PR_InSourceFileLibName...                                                                   
     d                                     Like(StdNam)                                             
     d  PR_InSourceMemberName...                                                                    
     d                                     Like(StdNam)                                             
     d  PR_InJobUserName...                                                                         
     d                                     Like(StdNam)                                             
     d  PR_InOutJobName...                                                                          
     d                                     Like(StdNam)                                             
     d  PR_InOutJobNumber...                                                                        
     d                                     Like(StdJobNum)                                          
                                                                                                    
     *-------------------------------------------------------------------------                    
     * GetUpdateLastCompileInfo                                                                    
     *  This routine is responsible for getting and update job information                         
     *   for the last compile.                                                                     
     * Parms                                                                                       
     *   InSourceFile     - Source file containing member.                                         
     *   InSourceFileLib  - Source file library containing member.                                 
     *   InSourceMember   - Source member.                                                         
     *   InJobUserName    - Job User Name of current job.                                          
     *   InOutJobName     - Job Name of current job. Out last job name                             
     *   InOutJobNumber   - Job Number of current job. Out last job number.                        
     *  Returns - N/A                                                                              
     *-------------------------------------------------------------------------                    
     p GetUpdateLastCompileInfo...                                                                  
     p                 b                   Export                                                   
     d                 pi                                                                           
     d   InSourceFileName...                                                                        
     d                                     Like(StdNam)                                             
     d   InSourceFileLibName...                                                                     
     d                                     Like(StdNam)                                             
     d   InSourceMemberName...                                                                      
     d                                     Like(StdNam)                                             
     d   InJobUserName...                                                                           
     d                                     Like(StdNam)                                             
     d   InOutJobName...                                                                            
     d                                     Like(StdNam)                                             
     d   InOutJobNumber...                                                                          
     d                                     Like(StdJobNum)                                          
                                                                                                    
     d SaveJobName...                                                                               
     d                 s                   Like(TF_JOBNAM)                                          
     d SaveJobNumber...                                                                             
     d                 s                   Like(TF_JOBNUM)                                          
     d Kf_JobUserNam...                                                                             
     d                 s                   Like(StdNam)                                             
     d Kf_SrcFileNam...                                                                             
     d                 s                   Like(StdNam)                                             
     d Kf_SrcFileLib...                                                                             
     d                 s                   Like(StdNam)                                             
     d Kf_SrcFileMbr...                                                                             
     d                 s                   Like(StdNam)                                             
                                                                                                    
     c     KL_LCTF       KList                                                                      
     c                   KFld                    Kf_JobUserNam                                      
     c                   Kfld                    Kf_SrcFileNam                                      
     c                   Kfld                    Kf_SrcFileLib                                      
     c                   Kfld                    Kf_SrcFileMbr                                      
      /Free                                                                                         
                                                                                                    
       If not %Open(XVLCTF);                                                                        
         Open XVLCTF;                                                                               
       EndIf;                                                                                       
                                                                                                    
       Kf_JobUserNam = InJobUserName;                                                               
       Kf_SrcFileNam = InSourceFileName;                                                            
       Kf_SrcFileLib = InSourceFileLibName;                                                         
       Kf_SrcFileMbr = InSourceMemberName;                                                          
       Chain Kl_LCTF XVLCTF;                                                                        
       If %Found;                                                                                   
         SaveJobName    = TF_JOBNAM;                                                                
         SaveJobNumber  = TF_JOBNUM;                                                                
         TF_JOBNAM      = InOutJobName;                                                             
         TF_JOBNUM      = InOutJobNumber;                                                           
         Update RLCTF;                                                                              
         InOutJobName   = SaveJobName;                                                              
         InOutJobNumber = SaveJobNumber;                                                            
       Else;                                                                                        
         TF_USERNAM = InJobUserName;                                                                
         TF_SRCFNAM = InSourceFileName;                                                             
         TF_SRCLNAM = InSourceFileLibName;                                                          
         TF_SRCMNAM = InSourceMemberName;                                                           
         TF_JOBNAM  = InOutJobName;                                                                 
         TF_JOBNUM  = InOutJobNumber;                                                               
         Write RLCTF;                                                                               
         InOutJobName   = *Blanks;                                                                  
         InOutJobNumber = *Blanks;                                                                  
       EndIf;                                                                                       
                                                                                                    
       Close XVLCTF;                                                                                
                                                                                                    
       Return;                                                                                      
                                                                                                    
      /End-Free                                                                                     
     p                 e                                                                            
